# creation of a matrix of [n (number of repetition) + nb params] colums, param sorted, from the vector x (eg resAreaF)
# the 4 first value of the matrix are the parameters
createMatrix = function(x){
  res = matrix( rep(NA,(n+4)*lgProportionMowing*lgTau*lgT*lgInitialPopSize), ncol = (n+4))
  
  for (i in 1:lgProportionMowing){
    for (j in 1:lgTau){
      for (k in 1:lgInitialPopSize){
        for (l in 1:lgT){
          
          # num indicates the line of the matrix to write the result
          num = l + lgT * (k-1) + lgT*lgInitialPopSize * (j-1) + (i-1) * lgT*lgInitialPopSize*lgTau ; num
          
          sel = which(proportionMowing == valProportionMowing[i] & tau==valTau[j] &  initialPopSize==valInitialPopSize[k] & t==valT[l] )
          temp = rep(NA,n)
          if (length(sel) != 0) { temp[1:length(sel)] = x[sel] } else { }  
          res[num,1:4] = c( valProportionMowing[i], valTau[j], valInitialPopSize[k], valT[l] ) 
          res[num,5:(n+4)] = temp
        }
      }
    }
  }
  res
  colnames(res) = c ( c("ProportionMowing","Tau","InitialPopSize","T"), paste( rep("stand_",n), 1:n, sep = "" ) )
  res
} 
